Skip to main content
GET
/
report_calculation
/
market-session-breakout-by-size
/
{market_type}
/
{ticker}
cURL
curl --request GET \
  --url 'https://api.edgeful.com/report_calculation/market-session-breakout-by-size/<market_type>/<ticker>?start_date=<start_date>&end_date=<end_date>' \
  --header 'Authorization: Bearer <api-key>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://edgeful.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ticker
string
required
market_type
enum<string>
required
Available options:
forex,
futures,
crypto,
stock

Query Parameters

session1_start_time
string
session1_end_time
string
session1_timezone
string
default:America/New_York
session2_start_time
string
session2_end_time
string
session2_timezone
string
default:America/New_York
seperate_days
boolean
default:false
start_date
string
required
end_date
string
required
custom_size_start
number
custom_size_end
number
days_to_use
string[]

List of days to use in the calculation (e.g., ['Monday', 'Friday'])

Response

Successful Response